# ellipse.py

from figuren.grafikfenster import Zeichenflaeche
from figuren.figur import Figur

### ---------------------------------------------------
class Ellipse(Figur):
    """Klasse Ellipse ermoeglicht das Zeichnen
    und Bearbeiten einer Ellipse"""

    def __init__(self,
                 xPos=0,
                 yPos=0,
                 breite=200,
                 hoehe=80,
                 winkel=0,
                 farbe="black",
                 fuellfarbe=None):
        Figur.__init__(self, xPos, yPos, breite, hoehe, winkel, farbe, fuellfarbe)
        
    def GibFigur(self):
        """Definiert den Pfad und transformiert ihn."""
        gc = Zeichenflaeche.GibZeichenflaeche().GibGC()
        path = gc.CreatePath()
        
        # lokale Variable zur Schreibvereinfachung
        b, h = self.GibBreite(), self.GibHoehe()
        path.AddEllipse(0, 0, b, h)
        
        return self.Transformiere(path)
