# Rechteck.py

from figuren.grafikfenster import Zeichenflaeche
from figuren.figur import Figur

### ---------------------------------------------------
class Rechteck(Figur):
    """Klasse Rechteck ermoeglicht das Zeichnen
    und Bearbeiten eines Rechtecks"""

    def __init__(self,
                 xPos=0,
                 yPos=0,
                 breite=200,
                 hoehe=80,
                 winkel=0,
                 farbe="black",
                 fuellfarbe = None):
        Figur.__init__(self, xPos, yPos, breite, hoehe, winkel, farbe, fuellfarbe)
        
    def GibFigur(self):
        """Definiert den Pfad und transformiert ihn."""
        gc = Zeichenflaeche.GibZeichenflaeche().GibGC()
        path = gc.CreatePath()
        
        # lokale Variable zur Schreibvereinfachung
        b, t = self.GibBreite(), self.GibHoehe()
        path.AddRectangle(0, 0, b, t)
        
        return self.Transformiere(path)
